#include "CString.h"
#include "CEdit.h"

CEdit::CEdit(BRect frame, const char *name, const char *label, const char *initial_text,
		BMessage *message, uint32 rmask = B_FOLLOW_LEFT | B_FOLLOW_TOP, uint32 flags = B_WILL_DRAW | B_NAVIGABLE)
	: BTextControl(frame, name, label, initial_text, message, rmask, flags)
{
}

void CEdit::SetDlgItemText(const CString string)
{
	if(strcmp(Text(), string.String()) == 0) return;
	SetText(string.String());
}

void CEdit::GetDlgItemText(CString &string)
{
	string = Text();
}

void CEdit::SetMaxChars(int len)
{
	this->TextView()->SetMaxBytes(len);
}

void CEdit::SetFocus()
{
	MakeFocus();
}