#ifndef __VERT_BUTTON_H__
#define __VERT_BUTTON_H__

#include <Button.h>

class VertButton : public BButton
{
public:
	VertButton(const char *vert_label, BRect frame, const char *name, const char *label, BMessage *message,
		uint32 resizeMask = B_FOLLOW_LEFT | B_FOLLOW_TOP, uint32 flags = B_WILL_DRAW | B_NAVIGABLE);
	virtual void Draw(BRect updateRect);
	void SetHeight(float height) { fheight = height; }
	float GetHeight() const { return fheight; }
private:
	const char *v_label;
	float fheight;
};

#endif